httpd-test-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thella, Rita" <rita.the...@hp.com>
Subject RE: [ANNOUNCE] Apache::Test 1.08 RC1
Date Tue, 24 Feb 2004 17:54:24 GMT
I ran into following error messages with perl 5.8.0



$ perl Makefile.PL -apxs /opt/hpws/apache/bin/apxs
Useless use of a constant in void context at lib/Apache/TestRun.pm line 1196.
Compilation failed in require at lib/Apache/TestConfig.pm line 36.
BEGIN failed--compilation aborted at lib/Apache/TestConfig.pm line 36.
Compilation failed in require at lib/Apache/TestMM.pm line 7.
BEGIN failed--compilation aborted at lib/Apache/TestMM.pm line 7.
Compilation failed in require at Makefile.PL line 16.
BEGIN failed--compilation aborted at Makefile.PL line 16.

Thanks,
Rita

-----Original Message-----
From: Geoffrey Young [mailto:geoff@modperlcookbook.org]
Sent: Tuesday, February 24, 2004 9:08 AM
To: test-dev@httpd.apache.org
Subject: Re: [ANNOUNCE] Apache::Test 1.08 RC1




Stas Bekman wrote:
> We would like to release Apache::Test 1.08. It includes multiple changes
> and improvements, therefore we need your help to test it and report any
> problems you may have noticed.
> 
> http://apache.org/~stas/Apache-Test-1.08-dev.tar.gz

I'm getting a strange error from 5.6.1 where no mod_perl is installed.

$ /perl/perl-5.6.1/bin/perl Makefile.PL -apxs
/apache/2.1/prefork/noperl/bin/apxs
Useless use of a constant in void context at
Apache-Test/lib/Apache/TestRun.pm line 1196.

strangely, the attached patch fixes things.

--Geoff

Mime
View raw message